//------------------------------------------------------------------------------
// <copyright file=”*.cs” company=”EhLib Team”>
//     Copyright (c) 2017 Dmitry V. Bolshakov   
// </copyright>
//------------------------------------------------------------------------------

using System.Collections;
using System.Windows.Forms.Design;

namespace EhLib.Design
{
  public class BaseEditBoxDesigner : ControlDesigner
  {

    internal BaseEditBoxEh EditBox
    {
      get { return this.Component as BaseEditBoxEh; }
    }

    public override ICollection AssociatedComponents
    {
      get
      {
        ArrayList items = new ArrayList();

        if (EditBox.InEditControl != null)
          items.Add(EditBox.InEditControl);

        if (EditBox.BoundLabel != null)
          items.Add(EditBox.BoundLabel);

        return items;
      }
    }
  }

}
